DROP TABLE IF EXISTS calendar;
CREATE TABLE calendar (
  gc_AllDayEvent VARCHAR(1) NULL,
  gc_BillingInformation LONGTEXT NULL,
  gc_Body LONGTEXT NULL,
  gc_BusyStatus INT(10) NULL,
  gc_Categories LONGTEXT NULL,
  gc_Companies LONGTEXT NULL,
  gc_Duration INT(10) NULL,
  gc_End DATETIME NULL,
  gc_Importance INT(10) NULL,
  gc_InternetCodepage INT(10) NULL,
  gc_IsOnlineMeeting VARCHAR(1) NULL,
  gc_Location LONGTEXT NULL,
  gc_MeetingStatus INT(10) NULL,
  gc_MessageClassFormDescription LONGTEXT NULL,
  gc_Mileage LONGTEXT NULL,
  gc_NetmeetingServer LONGTEXT NULL,
  gc_NetMeetingAutoStart VARCHAR(1) NULL,
  gc_NetMeetingDocPathName LONGTEXT NULL,
  gc_NetMeetingOrganizerAlias LONGTEXT NULL,
  gc_NetMeetingType INT(10) NULL,
  gc_NetShowURL LONGTEXT NULL,
  gc_NoAging VARCHAR(1) NULL,
  gc_OptionalAttendees LONGTEXT NULL,
  gc_Organizer LONGTEXT NULL,
  gc_ReminderMinutesBeforeStart INT(10) NULL,
  gc_ReminderOverrideDefault VARCHAR(1) NULL,
  gc_ReminderPlaySound VARCHAR(1) NULL,
  gc_ReminderSet VARCHAR(1) NULL,
  gc_ReminderSoundFile LONGTEXT NULL,
  gc_ReplyTime DATETIME NULL,
  gc_RequiredAttendees LONGTEXT NULL,
  gc_Resources LONGTEXT NULL,
  gc_ResponseRequested VARCHAR(1) NULL,
  gc_Sensitivity INT(10) NULL,
  gc_Start DATETIME NULL,
  gc_Subject LONGTEXT NULL,
  gc_Unread VARCHAR(1) NULL,
  gc_id INT(10) NOT NULL,
  gc_RecurrencePattern VARCHAR(100) NULL,
  gc_LastModificationTime DATETIME NULL,
  PRIMARY KEY (gc_id)
);

DROP TABLE IF EXISTS contacts;
CREATE TABLE contacts (
  OCS_ID INT(10) NOT NULL,
  OCS_SENSITIVITY INT(10) NULL,
  OCS_IMPORTANCE VARCHAR(1) NULL,
  OCS_BILLINGINFORMATION VARCHAR(32) NULL,
  OCS_MILEAGE DECIMAL(16, 3) NULL,
  OCS_NOAGING VARCHAR(1) NULL,
  OCS_INITIALS VARCHAR(32) NULL,
  OCS_FIRSTNAME VARCHAR(128) NULL,
  OCS_MIDDLENAME VARCHAR(128) NULL,
  OCS_LASTNAME VARCHAR(128) NULL,
  OCS_SUFFIX VARCHAR(32) NULL,
  OCS_FULLNAME LONGTEXT NULL,
  OCS_FILEAS LONGTEXT NULL,
  OCS_JOBTITLE VARCHAR(64) NULL,
  OCS_COMPANYNAME VARCHAR(64) NULL,
  OCS_DEPARTMENT VARCHAR(64) NULL,
  OCS_GENDER VARCHAR(1) NULL,
  OCS_SELECTEDMAILINGADDRESS VARCHAR(1) NULL,
  OCS_ACCOUNT VARCHAR(32) NULL,
  OCS_ANNIVERSARY VARCHAR(32) NULL,
  OCS_BIRTHDAY DATETIME NULL,
  OCS_ASSISTANTNAME LONGTEXT NULL,
  OCS_CHILDREN VARCHAR(128) NULL,
  OCS_COMPUTERNETWORKNAME VARCHAR(20) NULL,
  OCS_FTPSITE LONGTEXT NULL,
  OCS_CUSTOMERID VARCHAR(32) NULL,
  OCS_GOVERNMENTID VARCHAR(32) NULL,
  OCS_ORGANIZATIONID VARCHAR(32) NULL,
  OCS_HOBBY VARCHAR(64) NULL,
  OCS_INETFREEBUSSY LONGTEXT NULL,
  OCS_JOURNAL VARCHAR(1) NULL,
  OCS_LANGUAGE VARCHAR(32) NULL,
  OCS_MANAGERNAME LONGTEXT NULL,
  OCS_NETMEETINGALIAS VARCHAR(128) NULL,
  OCS_NETMEETINGSERVER LONGTEXT NULL,
  OCS_NICKNAME VARCHAR(128) NULL,
  OCS_OFFICELOCATION VARCHAR(64) NULL,
  OCS_PERSONALHOMEPAGE LONGTEXT NULL,
  OCS_PROFESSION VARCHAR(64) NULL,
  OCS_REFERREDBY LONGTEXT NULL,
  OCS_SPOUCE LONGTEXT NULL,
  OCS_WEBPAGE LONGTEXT NULL,
  OCS_CATEGORY VARCHAR(64) NULL,
  OCS_BUSINESS_CITY VARCHAR(64) NULL,
  OCS_BUSINESS_COUNTRY VARCHAR(32) NULL,
  OCS_BUSINESS_POSTALCODE VARCHAR(16) NULL,
  OCS_BUSINESS_POSTOFFICEBOX VARCHAR(16) NULL,
  OCS_BUSINESS_STATE VARCHAR(32) NULL,
  OCS_BUSINESS_STREET VARCHAR(64) NULL,
  OCS_BUSINESS_FAX VARCHAR(32) NULL,
  OCS_BUSINESS_HOMEPAGE LONGTEXT NULL,
  OCS_BUSINESS_TELEPHONE VARCHAR(32) NULL,
  OCS_BUSINESS_TELEPHONE2 VARCHAR(32) NULL,
  OCS_EMAIL1ADDRESS VARCHAR(128) NULL,
  OCS_EMAIL1ADDRESSTYPE VARCHAR(64) NULL,
  OCS_EMAIL2ADDRESS VARCHAR(128) NULL,
  OCS_EMAIL2ADDRESS_TYPE VARCHAR(64) NULL,
  OCS_EMAIL3ADDRESS VARCHAR(128) NULL,
  OCS_EMAIL3ADDRESS_TYPE VARCHAR(64) NULL,
  OCS_HOME_CITY VARCHAR(64) NULL,
  OCS_HOME_COUNTRY VARCHAR(32) NULL,
  OCS_HOME_POSTALCODE VARCHAR(16) NULL,
  OCS_HOME_POSTOFFICEBOX VARCHAR(16) NULL,
  OCS_HOME_STATE VARCHAR(32) NULL,
  OCS_HOME_STREET VARCHAR(64) NULL,
  OCS_HOME_FAX VARCHAR(32) NULL,
  OCS_HOME_TELEPHONE VARCHAR(32) NULL,
  OCS_HOME_TELEPHONE2 VARCHAR(32) NULL,
  OCS_OTHER_CITY VARCHAR(64) NULL,
  OCS_OTHER_COUNTRY VARCHAR(32) NULL,
  OCS_OTHER_POSTALCODE VARCHAR(16) NULL,
  OCS_OTHER_POSTOFFICEBOX VARCHAR(16) NULL,
  OCS_OTHER_STATE VARCHAR(32) NULL,
  OCS_OTHER_STREET VARCHAR(64) NULL,
  OCS_OTHER_FAX VARCHAR(32) NULL,
  OCS_OTHER_TELEPHONE VARCHAR(32) NULL,
  OCS_ASSISTANTTELEPHONE VARCHAR(32) NULL,
  OCS_BODY LONGTEXT NULL,
  OCS_CALLBACKTELEPHONE VARCHAR(32) NULL,
  OCS_CARTELEPHONE VARCHAR(32) NULL,
  OCS_COMPANYMAINTELEPHONE VARCHAR(32) NULL,
  OCS_ISDNNUMBER VARCHAR(32) NULL,
  OCS_MOBILEPHONE VARCHAR(32) NULL,
  OCS_USERCERTIFICATE VARCHAR(128) NULL,
  OCS_UNREAD VARCHAR(1) NULL,
  OCS_TITLE VARCHAR(50) NULL,
  OCS_USER1 VARCHAR(50) NULL,
  OCS_USER2 VARCHAR(50) NULL,
  OCS_USER3 VARCHAR(50) NULL,
  OCS_USER4 VARCHAR(50) NULL,
  OCS_TTYTDD VARCHAR(50) NULL,
  OCS_RADIOTELEPHONE VARCHAR(50) NULL,
  OCS_TELEX VARCHAR(50) NULL,
  OCS_PAGER VARCHAR(50) NULL,
  OCS_PRIMARYTELEPHONE VARCHAR(50) NULL,
  PRIMARY KEY (OCS_ID)
);

DROP TABLE IF EXISTS journal;
CREATE TABLE journal (
  gc_BillingInformation LONGTEXT NULL,
  gc_Body LONGTEXT NULL,
  gc_Categories LONGTEXT NULL,
  gc_Companies LONGTEXT NULL,
  gc_ContactNames LONGTEXT NULL,
  gc_DocPosted VARCHAR(1) NULL,
  gc_DocPrinted VARCHAR(1) NULL,
  gc_DocRouted VARCHAR(1) NULL,
  gc_DocSaved VARCHAR(1) NULL,
  gc_Duration INT(10) NULL,
  gc_End DATETIME NULL,
  gc_Importance INT(10) NULL,
  gc_MessageClassFormDescription LONGTEXT NULL,
  gc_Mileage LONGTEXT NULL,
  gc_NoAging VARCHAR(1) NULL,
  gc_Recipients LONGTEXT NULL,
  gc_Sensitivity INT(10) NULL,
  gc_Start DATETIME NULL,
  gc_Subject LONGTEXT NULL,
  gc_Type LONGTEXT NULL,
  gc_Unread VARCHAR(1) NULL,
  gc_id INT(10) NOT NULL,
  PRIMARY KEY (gc_id)
);

DROP TABLE IF EXISTS mail;
CREATE TABLE mail (
  gc_AlternateRecipientAllowed VARCHAR(1) NULL,
  gc_AutoForwarded VARCHAR(1) NULL,
  gc_BCC LONGTEXT NULL,
  gc_BillingInformation LONGTEXT NULL,
  gc_Categories LONGTEXT NULL,
  gc_CC LONGTEXT NULL,
  gc_Companies LONGTEXT NULL,
  gc_CreationTime DATETIME NULL,
  gc_DeferredDeliveryTime DATETIME NULL,
  gc_DeleteAfterSubmit VARCHAR(1) NULL,
  gc_ExpiryTime DATETIME NULL,
  gc_FlagDueBy DATETIME NULL,
  gc_FlagRequest VARCHAR(100) NULL,
  gc_FlagStatus INT(10) NULL,
  gc_HTMLBody LONGTEXT NULL,
  gc_Importance INT(10) NULL,
  gc_InternetCodepage INT(10) NULL,
  gc_Mileage VARCHAR(100) NULL,
  gc_NoAging VARCHAR(1) NULL,
  gc_OriginatorDeliveryReportRequested VARCHAR(1) NULL,
  gc_ReadReceiptRequested VARCHAR(1) NULL,
  gc_ReceivedByName VARCHAR(150) NULL,
  gc_ReceivedOnBehalfOfName VARCHAR(150) NULL,
  gc_RecipientReassignmentProhibited VARCHAR(1) NULL,
  gc_RemoteStatus INT(10) NULL,
  gc_ReplyRecipientNames LONGTEXT NULL,
  gc_SenderEmailAddress LONGTEXT NULL,
  gc_SenderEmailType VARCHAR(100) NULL,
  gc_SenderName VARCHAR(150) NULL,
  gc_Sensitivity INT(10) NULL,
  gc_SentOn DATETIME NULL,
  gc_SentOnBehalfOfName VARCHAR(150) NULL,
  gc_Subject LONGTEXT NULL,
  gc_To LONGTEXT NULL,
  gc_Unread VARCHAR(1) NULL,
  gc_ReceivedTime DATETIME NULL,
  gc_id INT(10) NOT NULL,
  PRIMARY KEY (gc_id)
);

DROP TABLE IF EXISTS mailattachment;
CREATE TABLE mailattachment (
  gc_parent_id INT(10) NOT NULL,
  gc_attach_number INT(10) NOT NULL,
  GC_ATTACH_FILENAME VARCHAR(100) NULL,
  GC_ATTACH_LONG_FILENAME VARCHAR(100) NULL,
  GC_ATTACH_METHOD INT(10) NULL,
  GC_ATTACH_MIME_TAG VARCHAR(200) NULL,
  GC_RENDERING_POSITION INT(10) NULL,
  GC_ATTACH_CONTENT_LOCATION VARCHAR(200) NULL,
  GC_ATTACH_BINARY LONGBLOB NULL,
  GC_ATTACH_CONTENT_ID VARCHAR(200) NULL,
  GC_ATTACH_FULL_PATH_AND_NAME LONGTEXT NULL,
  PRIMARY KEY (gc_parent_id, gc_attach_number),
  INDEX MailMailAttachment (gc_parent_id)
);

DROP TABLE IF EXISTS notes;
CREATE TABLE notes (
  gc_Body LONGTEXT NULL,
  gc_Categories LONGTEXT NULL,
  gc_Color INT(10) NULL,
  gc_Height INT(10) NULL,
  gc_Left INT(10) NULL,
  gc_MessageClassFormDescription LONGTEXT NULL,
  gc_Top INT(10) NULL,
  gc_Width INT(10) NULL,
  gc_id INT(10) NOT NULL,
  PRIMARY KEY (gc_id)
);

DROP TABLE IF EXISTS tasks;
CREATE TABLE tasks (
  gc_ActualWork INT(10) NULL,
  gc_BillingInformation LONGTEXT NULL,
  gc_Body LONGTEXT NULL,
  gc_CardData LONGTEXT NULL,
  gc_Categories LONGTEXT NULL,
  gc_Companies LONGTEXT NULL,
  gc_Complete VARCHAR(1) NULL,
  gc_ContactNames LONGTEXT NULL,
  gc_CreationTime DATETIME NULL,
  gc_DateCompleted DATETIME NULL,
  gc_DueDate DATETIME NULL,
  gc_Importance INT(10) NULL,
  gc_InternetCodepage INT(10) NULL,
  gc_RecurrencePattern VARCHAR(100) NULL,
  gc_Mileage LONGTEXT NULL,
  gc_NoAging VARCHAR(1) NULL,
  gc_Ordinal INT(10) NULL,
  gc_Owner LONGTEXT NULL,
  gc_PercentComplete INT(10) NULL,
  gc_ReminderOverrideDefault VARCHAR(1) NULL,
  gc_ReminderPlaySound VARCHAR(1) NULL,
  gc_ReminderSet VARCHAR(1) NULL,
  gc_ReminderSoundFile LONGTEXT NULL,
  gc_ReminderTime DATETIME NULL,
  gc_Role LONGTEXT NULL,
  gc_SchedulePlusPriority LONGTEXT NULL,
  gc_Sensitivity INT(10) NULL,
  gc_StartDate DATETIME NULL,
  gc_Status INT(10) NULL,
  gc_StatusOnCompletionRecipients LONGTEXT NULL,
  gc_StatusUpdateRecipients LONGTEXT NULL,
  gc_Subject LONGTEXT NULL,
  gc_TeamTask VARCHAR(1) NULL,
  gc_TotalWork INT(10) NULL,
  gc_Unread VARCHAR(1) NULL,
  gc_id INT(10) NOT NULL,
  PRIMARY KEY (gc_id)
);

